Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class MidiInstrumentEntry

    java.lang.Object
      org.linuxsampler.lscp.MidiInstrumentEntry

All Implemented Interfaces:
  java.lang.Comparable<MidiInstrumentEntry>

    public class MidiInstrumentEntry

extends java.lang.Object
implements java.lang.Comparable<MidiInstrumentEntry>

Specifies a position of a MIDI instrument in a MIDI instrument map.

Constructor Summary
`MidiInstrumentEntry(int midiBank, int midiProgram)` Creates a new instance of `MidiInstrumentEntry`.

Method Summary
`int` | `compareTo(MidiInstrumentEntry e)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getMidiBank()` Gets the MIDI bank number.
`int` | `getMidiProgram()` Gets the MIDI program number.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidiInstrumentEntry

    public MidiInstrumentEntry(int midiBank,
                               int midiProgram)

  Creates a new instance of `MidiInstrumentEntry`.

  Parameters:
    `midiBank` - The MIDI bank number.
    `midiProgram` - The MIDI program number.
  Throws:
    `java.lang.IndexOutOfBoundsException` - If `midiBank` is out of range `(midiBank < 0 || midiBank > 16129)`, or `midiProgram` is out of range `(midiProgram < 0 || midiProgram > 127)`.

Method Detail

### getMidiBank

    public int getMidiBank()

  Gets the MIDI bank number.

### getMidiProgram

    public int getMidiProgram()

  Gets the MIDI program number.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(MidiInstrumentEntry e)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<MidiInstrumentEntry>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.